get
https://api.genability.com/rest/public/timeofuses///intervals
Return intervals for a Time of Use group by lseId and touGroupId.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Use this endpoint to return intervals for a Time of Use group.
When to use this endpoint
Use GET /rest/public/timeofuses/{lseId}/{touGroupId}/intervals when you need to:
- Expand a full TOU group into concrete date-time intervals.
- Review the schedule for all TOU definitions in a group.
- Filter group intervals with a
fromDateTimeandtoDateTimerange.
Path parameters
| Parameter | Type | Description |
|---|---|---|
lseId | Long | LSE ID that the TOU group belongs to. |
touGroupId | Long | TOU group ID whose intervals you want to retrieve. |
Optional date filters
| Parameter | Type | Description |
|---|---|---|
fromDateTime | DateTime | Starting date and time for returned intervals. Defaults to the current day and time if omitted. |
toDateTime | DateTime | Ending date and time for returned intervals. Defaults to one week after fromDateTime if omitted. |
Related endpoints
Request Parameters
Along with the standard pagination parameters, searching and sorting parameters, and the required security parameters, the following parameters are available as part of the request:
